@charset "UTF-8";

/* MAIN GRID */
.content-grid {
    --padding-inline: 1rem;
    --content-max-width: 31rem;
    --breakout-max-width: 1240px;

    --breakout-size: calc((var(--breakout-max-width) - var(--content-max-width)) / 2);
    --content: min(100% - (var(--padding-inline) * 2), var(--content-max-width));

    display: grid;
    grid-template-columns: 
        [full-width-start] minmax(var(--padding-inline), 1fr) 
        [breakout-start] minmax(0, var(--breakout-size)) 
        [content-start] var(--content) [content-end] 
        minmax(0, var(--breakout-size)) [breakout-end] 
        minmax(var(--padding-inline), 1fr) [full-width-end];
}
.content-grid > :not(.breakout, .full-width) { grid-column: content; }
.content-grid > .breakout { grid-column: breakout; }
.content-grid > .full-width { grid-column: full-width; }


body {
    background-color: var(--clr-bg-100);
}

/* MAIN */
.flex-container {
    display: flex;
    justify-content: space-between;
    min-height: 90px;
    padding-block: 1rem 1rem;
    align-items: flex-start;
}

.article-navigation {
    display: flex;
    gap: 25px;
    padding-left: 2px;
}
.article-navigation li {
    position: relative;
}

.article-navigation__link {
    font-size: 0.82rem;
}
.article-navigation__link::after {
    content: "";
    position: absolute;
    height: 22px;
    width: 22px;
    top: 1px;
    background: no-repeat url(../img/buttons/arrow-right-p.png);
    background-size: 22px;
    pointer-events: none;
}

.article-navigation__link img {
    max-height: 15px;
    margin-top: 4px;
}

.share-button {
    align-self: flex-end;
    padding-right: 8px;
}
.share-button button img {
    height: 24px;
}

article:is(.article-post-effect) {
    position: relative;
}

article:is(.article-post-effect)::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    height: 19rem;
    height: clamp(22.5rem, 45vw, 26rem);
    background-color: var(--clr-bg-300);
    z-index: -1;
}

.primary-heading {
    font-size: 24px;
    font-size: clamp(24px, 2.8vw, 32px);
    color: var(--clr-font-500);
    font-weight: 700;
    line-height: 34px;
    line-height: clamp(32px, 4vw, 42px);
    margin-block: 1.4rem 0.6rem;
}

.secondary-heading {
    font-size: 1.3rem;
    font-weight: 700;
    color: var(--clr-font-500);
    margin-block: 0.8rem 1.5rem;
}

.sub-heading {
    font-size: 16px;
    font-size: clamp(16px, 2vw, 20px);
    font-weight: 400;
    color: var(--clr-font-300);
    line-height: 1.7rem;
    letter-spacing: 0.34px;
}

.article-img img {
    width: 100%;
    display: block;
    margin-block: 1.7rem;
    border-radius: 8px;
}

/* Conteúdo principal do Post */
.link-text, 
.wp-block-paragraph :where(a),
.wp-block-list :where(a) {
    color: var(--clr-accent-2);
    text-decoration: underline;
    text-decoration-color: var(--clr-font-200);
    text-underline-offset: 0.15em;
    transition-property: text-decoration-color;
    transition-duration: 125ms;
    transition-timing-function: ease-in;

    &:hover {
        text-decoration-color: var(--clr-accent-2);
    }
}

/* Leia também */
.callout-text {
    margin-block-start: 1rem;
    padding-block-start: 0.4em;
    padding-block-end: 0.5em;
    padding-inline-start: 1em;
    border-inline-start: 1px var(--clr-bg-500) solid;
}

.text-content-wrapper img {
    width: 100%;
    display: block;
    margin-block-start: 1.9rem;
    margin-block-end: 1.5rem;
    border-radius: 8px;
}

.text-content-wrapper figure + h2,
.text-content-wrapper img + h2 {
    margin-top: 0.5rem;
}

.text-content-wrapper h2 {
    font-size: 1.5rem;
    font-weight: 700;
    color: var(--clr-font-500);
    margin-block: 1.75em 0.75em;
}

.text-content-wrapper h3 {
    font-size: 1.2rem;
    font-weight: 700;
    color: var(--clr-font-500);
    margin-block: 1.5em 0.8em;
}

.text-content-wrapper p {
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.85;
    color: var(--clr-font-500);
    text-wrap: pretty;

    margin-bottom: 1.5rem;
    padding-right: 10px;
}
.text-content-wrapper p:has(+ .article-img) {
    margin-bottom: 0;
}

.text-content-wrapper ul:not(.wp-block-post-template) {
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.9rem;
    color: var(--clr-font-500);
    margin-bottom: 1.7rem;
    padding-right: 10px;
}

.text-content-wrapper ul:not(.wp-block-post-template) > li {
    margin-block: 10px;
}

.text-content-wrapper ul:not(.wp-block-post-template) > li::before {
    content: "";
    display: inline-block;
    background: var(--clr-font-500);
    border-radius: 50%;
    width: 5px;
    height: 5px;
    margin-inline: 2px 8px;
    margin-bottom: 2px;
}

.extra-article {
    display: grid;
    gap: 0.65rem;
    margin-block: 0rem 1rem;
}
.extra-article > h2 {
    font-size: 1.3rem;
    font-weight: 400;
    color: var(--clr-font-500);
    line-height: 32px;
    margin-bottom: 1rem;
}

.extra-article__heading {
    font-size: 1rem;
    color: var(--clr-font-600);
    font-weight: 500;
    margin-bottom: 0.5rem;
}

.extra-article__subheading {
    font-size: 16px;
    font-size: clamp(13px, 1.5vw, 16px);
    font-weight: 400;
    color: var(--clr-font-300);
    margin-bottom: 1rem;
}

.extra-article__wrapper {
    padding: 12px 16px;
    border: 1px solid var(--clr-bg-500);
    border-radius: 8px;
    line-height: 1.5;
	box-shadow: 0 2px 2px rgba(0, 0, 0, 0.05);
	transition: box-shadow 0.15s ease-in;
}
.extra-article__source {
    margin-block-end: 0.25rem;

    font-size: 0.75rem;
    color: var(--clr-font-300);
}

.extra-article__capa {
    display: none;
}

.extra-article__image {
    display: block;
	margin-block: 0.5rem;
    width: 100%;
    height: auto;
	max-height: 9rem;
    object-fit: contain;
}

.end-article {
    border-top: 0.1px solid var(--clr-bg-500);
    margin-top: 4rem;
    position: relative;
}

.end-article::before {
    content: "· · ·";
    font-size: 1.6rem;
    position: absolute;
    bottom: 30px;
    left: 50%;
    transform: translate(-50%, 0%);
    color: var(--clr-font-500);
}

.autor__inner {
    margin-top: 1rem;
    padding-bottom: 4rem;
    font-size: 13px;

    display: flex;
    flex-wrap: wrap;
    gap: 1.5rem 8px;
    align-items: flex-end;
}

.autor__foto {
    width: 2.75rem;
    aspect-ratio: 1 / 1;
    object-fit: cover;
    border-radius: 100%;
}
.autor__nome {
    font-size: 13px;
    color: var(--clr-font-500);
    margin-bottom: 5px;
}

.article__date {
    font-size: 13px;
    color: var(--clr-font-300);
}

.autor__info {
    display: flex;
    font-size: 13px;
    text-wrap: nowrap;
    flex-wrap: wrap;
    gap: 2rem 5px;
    align-self: center;
}

.info-categoria {
    color: var(--clr-font-300);
    background-color: var(--clr-bg-400);
    border-radius: 20px;
    padding: 0.2rem 1.1rem;
    margin-right: 4px;
    margin-bottom: 2px;
    display: inline-block;
}

.sugeridos {
    background-color: var(--clr-bg-300);
    padding-block: 2.25rem;
}

.sugeridos .secondary-heading {
    font-size: 1.7rem;
    font-size: clamp(1.5rem, 3vw, 1.8rem);
    margin-block: 0 5px;
    font-weight: 500;
}

.sugeridos__inner {
    margin-top: 2rem;
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    gap: 0 2rem;
    justify-items: center;
}

.card {
    padding-bottom: 1rem;
    margin-bottom: 1.5rem;
    width: 100%;
    max-width: 30rem;
}

.card:last-child {
    padding-bottom: 2rem;
    border-bottom: 1px solid var(--clr-bg-500);
    margin-bottom: 2rem;
}

.card__banner {
    position: relative;
    padding-bottom: 0.825rem;
}
.card__banner img {
    height: auto;
    width: 100%;
    border-radius: 8px;
    display: block;

    aspect-ratio: 101 / 57;
    object-fit: cover;
}

.card__titulo:hover,
.card__banner:hover ~ .card__content .card__titulo {
    color: var(--clr-accent-2);
}

.card__content {
    position: relative;
}

.card__titulo {
    font-weight: 400;
    font-size: 1rem;
    font-size: clamp(1rem, 2vw, 1.125rem);
    line-height: 1.6rem;
    color: var(--clr-font-600);
    transition: color 0.15s ease-in;

    & a::before {
        content: '';
        position: absolute;
        inset: 0;
        z-index: 1;
    }
}

.card__texto {
    padding-top: 0.35rem;
    padding-right: 0.35rem;
    display: -webkit-box;
  	-webkit-line-clamp: 2;
	line-clamp: 2;
  	-webkit-box-orient: vertical;  
  	overflow: hidden;

    color: var(--clr-font-300);
    font-size: 0.875rem;
    font-size: clamp(0.875rem, 2vw, 0.9rem);
    text-align: justify;
    line-height: 1.6;
}

.card__profile {
    display: flex;
    padding-top: 1rem;
    gap: 1.5rem 10px;
    align-items: flex-end;
}

.profile__img {
    height: 2.75rem;
    object-fit: cover;
    border-radius: 100%;
}
.profile__info {
    font-size: 13px;
    color: var(--clr-font-300);
}

.post-categories-wrapper {
    display: flex;
    gap: 0.35rem 0.5rem;
    flex-wrap: wrap;
}

.ver-todos-article {
    padding-bottom: 1rem;
    display: flex;
    justify-content: right;
}
.ver-todos-article a {
    color: var(--clr-font-600);
    font-weight: 400;
    font-size: 16px;
    text-decoration: underline;
    text-underline-offset: 5px;
    transition: transform .25s ease-out;
}

.ver-todos-article a i {
    font-size: 0.8rem;
    padding-right: 0.4rem;
    padding-left: 0.2rem;
    transition: transform .25s ease-out;
}

.ver-todos-article a:hover,
.ver-todos-article a:hover i {
    transform: translate(2px, 0px);
    color: var(--clr-font-300);
}

.card__date { 
    display: grid;
    position: absolute;
    top: 0.4rem;
    right: 0.5rem;
    align-items: center;

    width: 56px;
    height: 65px;
    background-color: var(--clr-bg-300);
    font-size: 14px;
    color: var(--clr-font-500);
    line-height: 18px;
    text-align: center;
    pointer-events: none;
    transform: scale(0.77);

    clip-path: polygon(50% 0%, 100% 25%, 100% 75%, 50% 100%, 0% 75%, 0% 25%);
}


@media (min-width: 748px) {
    .content-grid {
        --content-max-width: 37.5rem;
    }

    .flex-container {
        display: flex;
        justify-content: space-between;
        min-height: 61px;
        padding-block: 1rem 1rem;
        align-items: flex-start;
    }

    .extra-article__wrapper {
        display: grid;
        grid-template-columns: 1fr 2fr;
        grid-template-columns: 1.2fr 2fr;
        gap: 1rem;
    }

    .extra-article__capa {
        display: grid;
        align-items: center;
    }

    .sugeridos__inner {
        grid-template-columns: repeat(auto-fill, minmax(17rem, 1fr));
        grid-template-rows: auto 1fr auto;
        gap: 0 1.25rem;
        justify-items: start;
    }

    .card {      
        display: grid;
        grid-row: span 3;
        grid-template-rows: subgrid;
    }

    .card:last-child {
        padding-bottom: 1rem;
        margin-bottom: 1.5rem;
        border-bottom: none;
    }
}

@media (min-width: 1024px) {
    .content-grid {
        --content-max-width: 41rem;
    }

    .article-navigation__link::after {
        top: 3px;
    }

    .article-navigation__link img {
        max-height: 25px;
    }

    .extra-article__wrapper {
        grid-template-columns: 1fr 2fr;
        padding-inline: 0.9rem 1.1rem;
    }

    .sugeridos {
        padding-block: 2.7rem;
    }

    .card__profile {
        padding-top: 1.25rem;
        gap: 1.5rem 0.625rem;
        align-items: flex-end;
    }

    .ver-todos-article {
        padding-top: 1.5rem;
        padding-bottom: 1rem;
    }
}